import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusUserSubpayAuth } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-10 14:00
 */
interface BusUserSubpayAuthCU extends ConditionUtil<BusUserSubpayAuthCU> {
    ID: FieldUtil<BusUserSubpayAuthCU>;
    USER_ID: FieldUtil<BusUserSubpayAuthCU>;
    OWNER_USER_ID: FieldUtil<BusUserSubpayAuthCU>;
    LOT_ID: FieldUtil<BusUserSubpayAuthCU>;
    LOT_NAME: FieldUtil<BusUserSubpayAuthCU>;
    COME_TIME: FieldUtil<BusUserSubpayAuthCU>;
    CAR_PLATE_NUM: FieldUtil<BusUserSubpayAuthCU>;
    CREATE_TIME: FieldUtil<BusUserSubpayAuthCU>;
    AUTH_STATE: FieldUtil<BusUserSubpayAuthCU>;
}
declare class BusUserSubpayAuthMU extends TableUtilImpl<BusUserSubpayAuthCU, BusUserSubpayAuth> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusUserSubpayAuthCU;
    static get ID(): FieldUtil<BusUserSubpayAuthCU>;
    static get USER_ID(): FieldUtil<BusUserSubpayAuthCU>;
    static get OWNER_USER_ID(): FieldUtil<BusUserSubpayAuthCU>;
    static get LOT_ID(): FieldUtil<BusUserSubpayAuthCU>;
    static get LOT_NAME(): FieldUtil<BusUserSubpayAuthCU>;
    static get COME_TIME(): FieldUtil<BusUserSubpayAuthCU>;
    static get CAR_PLATE_NUM(): FieldUtil<BusUserSubpayAuthCU>;
    static get CREATE_TIME(): FieldUtil<BusUserSubpayAuthCU>;
    static get AUTH_STATE(): FieldUtil<BusUserSubpayAuthCU>;
    get ID(): FieldUtil<BusUserSubpayAuthCU>;
    get USER_ID(): FieldUtil<BusUserSubpayAuthCU>;
    get OWNER_USER_ID(): FieldUtil<BusUserSubpayAuthCU>;
    get LOT_ID(): FieldUtil<BusUserSubpayAuthCU>;
    get LOT_NAME(): FieldUtil<BusUserSubpayAuthCU>;
    get COME_TIME(): FieldUtil<BusUserSubpayAuthCU>;
    get CAR_PLATE_NUM(): FieldUtil<BusUserSubpayAuthCU>;
    get CREATE_TIME(): FieldUtil<BusUserSubpayAuthCU>;
    get AUTH_STATE(): FieldUtil<BusUserSubpayAuthCU>;
}
export { BusUserSubpayAuthMU, BusUserSubpayAuthCU };
